> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mixroute.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# GPT-5.4 Nano

> GPT-5.4 Nano：面向简单高吞吐任务的低成本推理模型。

GPT-5.4 Nano 是 OpenAI 成本最低的 GPT-5.4 级模型，适合分类、抽取、排序和高吞吐子 Agent。

通过以下接口在 MixRoute 调用 `gpt-5.4-nano`。

## 核心能力

* 400K 上下文：支持较大的输入上下文
* 最大输出 128K：适合长结构化结果
* 推理控制：支持 none、low、medium、high 与 xhigh
* 双接口：支持 Responses 和 Chat Completions

## 快速示例

<Tabs>
  <Tab title="cURL">
    ```bash theme={null}
    curl "https://api.mixroute.ai/v1/responses" \
      -H "Authorization: Bearer YOUR_API_KEY" \
      -H "Content-Type: application/json" \
      -d '{
      "model": "gpt-5.4-nano",
      "input": "分类这个请求并返回简短的 JSON 结果。",
      "reasoning": {"effort": "low"},
      "max_output_tokens": 256
    }'
    ```
  </Tab>

  <Tab title="Python">
    ```python theme={null}
    from openai import OpenAI

    client = OpenAI(api_key="YOUR_API_KEY", base_url="https://api.mixroute.ai/v1")

    response = client.responses.create(
        model="gpt-5.4-nano",
        input="分类这个请求并返回简短的 JSON 结果。",
        reasoning={"effort": "low"},
        max_output_tokens=256,
    )

    print(response.output_text)
    ```
  </Tab>
</Tabs>

## 参数

| 参数                  | 类型              | 必填 | 说明                   |
| ------------------- | --------------- | -- | -------------------- |
| `model`             | string          | 是  | 固定为 `gpt-5.4-nano`。  |
| `input`             | string \| array | 是  | 文本或结构化 Responses 输入。 |
| `max_output_tokens` | integer         | 否  | 最大输出 Token 数。        |
| `reasoning`         | object          | 否  | 推理配置，包括 effort。      |
| `stream`            | boolean         | 否  | 启用 SSE 流式输出。         |
| `tools`             | array           | 否  | 模型可以使用的工具。           |

## 厂商资料

* [OpenAI GPT-5.4 Nano 模型页面](https://developers.openai.com/api/docs/models/gpt-5.4-nano)
